#include "testApp.h"



//--------------------------------------------------------------
void testApp::setup(){	 
	ofHideCursor();
	ofEnableSmoothing();
	temp.loadShader("color");
	bShaderOn = true; 
	temp.setShaderActive(bShaderOn);
	
	timer = 0;
	timerDirection = 0.01;
	
	ofSetCircleResolution(200);
}


//--------------------------------------------------------------
void testApp::update(){
	ofBackground(255,255,255);	
	if(timer > 6.14) {
		timerDirection *= -1;
	} else if (timer < 0) {
		timerDirection *= -1;
	}
	
	timer += timerDirection;
	
}


//--------------------------------------------------------------
void testApp::draw(){
	temp.setShaderActive(false);
	
	ofSetColor(255,32,32,10);
	ofRect(mouseX, 0, 4, ofGetHeight());
	
	temp.setShaderActive(true);
	
	ofSetupScreen();
	
	ofBeginShape();
	ofFill();
	ofSetColor(255,0,120);
	ofRect(100,100,200,200);
	ofSetColor(0,255,255);
	ofCircle(500,200,100);
	ofSetColor(0,255,120);
	ofTriangle(700,100,800,300,900,100);
	ofEndShape();
	
	
	
	
}

 
//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	bShaderOn = !bShaderOn;
	temp.setShaderActive(bShaderOn);
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	temp.setShaderActive(true);
	temp.setUniformVariable("time", (float)x);
	temp.setShaderActive(false);
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(){

}
